Package com.dropbox.core.v2.team
Class DevicesListMembersDevicesBuilder
java.lang.Object
com.dropbox.core.v2.team.DevicesListMembersDevicesBuilder
The request builder returned by
DbxTeamTeamRequests.devicesListMembersDevicesBuilder().
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withCursor(String cursor) Set value for optional field.withIncludeDesktopClients(Boolean includeDesktopClients) Set value for optional field.withIncludeMobileClients(Boolean includeMobileClients) Set value for optional field.withIncludeWebSessions(Boolean includeWebSessions) Set value for optional field.
-
Method Details
-
withCursor
Set value for optional field.- Parameters:
cursor- At the first call to theDbxTeamTeamRequests.devicesListMembersDevices(com.dropbox.core.v2.team.ListMembersDevicesArg)the cursor shouldn't be passed. Then, if the result of the call includes a cursor, the following requests should include the received cursors in order to receive the next sub list of team devices.- Returns:
- this builder
-
withIncludeWebSessions
Set value for optional field.If left unset or set to
null, defaults totrue.- Parameters:
includeWebSessions- Whether to list web sessions of the team members. Defaults totruewhen set tonull.- Returns:
- this builder
-
withIncludeDesktopClients
Set value for optional field.If left unset or set to
null, defaults totrue.- Parameters:
includeDesktopClients- Whether to list desktop clients of the team members. Defaults totruewhen set tonull.- Returns:
- this builder
-
withIncludeMobileClients
Set value for optional field.If left unset or set to
null, defaults totrue.- Parameters:
includeMobileClients- Whether to list mobile clients of the team members. Defaults totruewhen set tonull.- Returns:
- this builder
-
start
Issues the request.
-